/**
 * Application
 */
import React, { Fragment, FunctionComponent, useRef, useEffect } from 'react';

import { BryntumDemoHeader, BryntumSchedulerPro } from '@bryntum/schedulerpro-react';
import { schedulerProConfig } from './AppConfig';
import './App.scss';

const App: FunctionComponent = () => {
    const schedulerProRef = useRef<BryntumSchedulerPro>(null);
    const schedulerProInstance = () => schedulerProRef.current?.instance;

    useEffect(() => {
        // This shows loading data
        // To load data automatically configure project with `autoLoad : true`
        schedulerProInstance()?.project.load();
    });

    return (
        <Fragment>
            {/* BryntumDemoHeader component is used for Bryntum example styling only and can be removed */}
            <BryntumDemoHeader />
            <BryntumSchedulerPro
                ref={schedulerProRef}
                {...schedulerProConfig}
              eventBufferFeature={{
                disabled: false,
            }}
            />
        </Fragment>
    );
};

export default App;
